Skip to main content
PATCH
/
api
/
v1
/
task-queues
/
{queue_id}
Update Task Queue
curl --request PATCH \
  --url https://control-plane.kubiya.ai/api/v1/task-queues/{queue_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "tags": [
    "<string>"
  ],
  "settings": {},
  "status": "<string>",
  "priority": 5,
  "policy_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://control-plane.kubiya.ai/api/v1/task-queues/{queue_id}"

payload = {
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"settings": {},
"status": "<string>",
"priority": 5,
"policy_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
display_name: '<string>',
description: '<string>',
tags: ['<string>'],
settings: {},
status: '<string>',
priority: 5,
policy_ids: ['<string>']
})
};

fetch('https://control-plane.kubiya.ai/api/v1/task-queues/{queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organization_id": "<string>",
  "name": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "tags": [
    "<string>"
  ],
  "settings": {},
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "created_by": "<string>",
  "priority": 123,
  "policy_ids": [],
  "worker_token": "<string>",
  "provisioning_workflow_id": "<string>",
  "provisioned_at": "<string>",
  "error_message": "<string>",
  "temporal_namespace_id": "<string>",
  "active_workers": 0,
  "idle_workers": 0,
  "busy_workers": 0
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Path Parameters

queue_id
string
required

Body

application/json
name
string | null
display_name
string | null
description
string | null
tags
string[] | null
settings
Settings · object | null
status
string | null
priority
integer | null
Required range: 1 <= x <= 10
policy_ids
string[] | null

Response

Successful Response

id
string
required
organization_id
string
required
name
string
required
display_name
string | null
required
description
string | null
required
tags
string[]
required
settings
Settings · object
required
status
string
required
created_at
string
required
updated_at
string
required
created_by
string | null
required
priority
integer | null
policy_ids
string[]
worker_token
string | null
provisioning_workflow_id
string | null
provisioned_at
string | null
error_message
string | null
temporal_namespace_id
string | null
active_workers
integer
default:0
idle_workers
integer
default:0
busy_workers
integer
default:0